Redmine - Defect #14146

Error 500 after ruby upgrade
2013-05-24 20:48 - Jonathan-Marc Lapointe

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 2.31
Description

I all.

| was running Redmine version 2.2.1 on ruby 1.8.7 under ubuntu 12.04.

| first upgraded Redmine to version 2.3.1 and all worked fine.

But then | tried to install the redmine_ckeditor plugin and one of the required gems needed ruby 1.9.3 or more.
So | decided to upgrade ruby to version 1.9.3P0 wich is available in Ubuntu 12.04.

| installed ruby 1.9.3 packages and removed the 1.8.7 ones.

After that | installed re installed all required gems and did a bundle install in redmine root directory to make shure every thing is
installed.

But since | did than, every time | login to Redmine, | get an error 500 and the following text in the production.log file:

@
Started GET "/" for 206.167.74.200 at 2013-05-24 14:41:21 -0400

Processing by WelcomeController#index as HTML

Current user: jmlapointe (id=1)

Rendered news/_news.html.erb (8.5ms)

Rendered welcome/index.html.erb within layouts/base (11.5ms)
Completed 500 Internal Server Error in 31ms

ActionView::Template::Error (incompatible character encodings: ASCII-8BIT and UTF-8):

3: <%= "(#{I(:label_x_comments, :count => news.comments_count)})" if news.comments_count > 0 >

4: <br />

5: < unless news.summary.blank? ><span class="summary"><=h news.summary ></span><br />< end >

6: <span class="author"><= authoring news.created_on, news.author %></span></p>
app/views/news/_news.html.erb:6:in *_app_views_news__news_html_erb_ 2290100326373296824_ 55141120
app/views/welcome/index.html.erb:8:in *_app_views_welcome_index_html_erb__ 362569893366366198_54759680'
@

Here is the list of the gems that are installed on my server:

actionmailer (3.2.13)
actionpack (3.2.13)
activemodel (3.2.13)
activerecord (3.2.13)
activeresource (3.2.13)
activesupport (3.2.13)
arel (3.0.2)

builder (3.0.4, 3.0.0)
bundler (1.3.5)
capybara (2.0.3)
childprocess (0.3.9)
climate_control (0.0.3)
cocaine (0.5.1)
coderay (1.0.9)
daemon_controller (1.1.4)

2025-04-20 1/3




erubis (2.7.0)

ffi (1.8.1)

hike (1.2.2)

i18n (0.6.1)
journey (1.0.4)
jquery-rails (2.0.3)
json (1.8.0)
kaminari (0.14.1)
mail (2.5.4)
metaclass (0.0.1)
mime-types (1.23)
mocha (0.13.3)
multi_json (1.7.3)
mysql (2.9.1, 2.8.1)
mysql2 (0.3.11)
net-ldap (0.3.1)
nokogiri (1.5.9)
paperclip (3.4.2)
passenger (4.0.2)
pg (0.15.1)
polyglot (0.3.3)
rack (1.4.5)
rack-cache (1.2)
rack-openid (1.3.1)
rack-raw-upload (1.1.1)
rack-ssl (1.3.3)
rack-test (0.6.2)
rails (3.2.13)
railties (3.2.13)
rake (10.0.4)

rdoc (3.12.2)

rich (1.4.6)
rmagick (2.13.2)
ruby-openid (2.1.8)
rubyzip (0.9.9)
sass (3.2.9)
sass-rails (3.2.6)
selenium-webdriver (2.32.1)
shoulda (3.3.2)
shoulda-context (1.0.2)
shoulda-matchers (1.4.1)
sprockets (2.2.2)
sqlite3 (1.3.7)

thor (0.18.1)

tilt (1.4.1)

treetop (1.4.12)
tzinfo (0.3.37)
websocket (1.0.7)
xpath (1.0.0)

yard (0.8.6.1)

I'm using Apache2 and Passenger 4.
Any help would be appreciated.

Thanx!

History

#1 - 2013-05-24 21:50 - Jonathan-Marc Lapointe

- Status changed from New to Resolved

Finaly, | installed the mysql2 gem and | changed the adaptor name in database.yml.

Thanx anyway!
#2 - 2013-05-24 22:53 - Mischa The Evil
- Status changed from Resolved to Closed
- Priority changed from High to Normal

- Resolution set to Invalid

Thanks for the feedback.
